Qt 5.9 | Qt Multimedia | C++ Classes | QAudioOutputSelectorControl

Qt 5.9.4 Reference Documentation

# QAudioOutputSelectorControl Class

The QAudioOutputSelectorControl class provides an audio output selector media control. More...

Header: | #include <QAudioOutputSelectorControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QAudioOutputSelectorControl()
virtual QString | activeOutput() const = 0
virtual QList<QString> | availableOutputs() const = 0
virtual QString | defaultOutput() const = 0
virtual QString | outputDescription(const QString &name) const = 0

## Public Slots

virtual void | setActiveOutput(const QString &name) = 0

## Signals

void | activeOutputChanged(const QString &name)
void | availableOutputsChanged()

## Protected Functions

| QAudioOutputSelectorControl(QObject *parent = Q_NULLPTR)

## Macros

| QAudioOutputSelectorControl_iid

## Detailed Description

The QAudioOutputSelectorControl class provides an audio output selector media control.

The QAudioOutputSelectorControl class provides descriptions of the audio outputs available on a system and allows one to be selected as the audio output of a media service.

The interface name of QAudioOutputSelectorControl is `org.qt-project.qt.audiooutputselectorcontrol/5.0` as defined in QAudioOutputSelectorControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QAudioOutputSelectorControl::QAudioOutputSelectorControl(QObject *parent = Q_NULLPTR)

Constructs a new audio output selector control with the given parent.

### `[virtual]` QAudioOutputSelectorControl::~QAudioOutputSelectorControl()

Destroys an audio output selector control.

### `[pure virtual]` QString QAudioOutputSelectorControl::activeOutput() const

Returns the name of the currently selected audio output.

See also setActiveOutput().

### `[signal]` void QAudioOutputSelectorControl::activeOutputChanged(const QString &name)

Signals that the audio output has changed to name.

### `[pure virtual]` QList<QString> QAudioOutputSelectorControl::availableOutputs() const

Returns a list of the names of the available audio outputs.

### `[signal]` void QAudioOutputSelectorControl::availableOutputsChanged()

Signals that list of available outputs has changed.

### `[pure virtual]` QString QAudioOutputSelectorControl::defaultOutput() const

Returns the name of the default audio output.

### `[pure virtual]` QString QAudioOutputSelectorControl::outputDescription(const QString &name) const

Returns the description of the output name.

### `[pure virtual slot]` void QAudioOutputSelectorControl::setActiveOutput(const QString &name)

Set the active audio output to name.

See also activeOutput().

## Macro Documentation

### QAudioOutputSelectorControl_iid

`org.qt-project.qt.audiooutputselectorcontrol/5.0`

Defines the interface name of the QAudioOutputSelectorControl class.